<?php if($messages): ?>
<div id="drupal_messages"><div class="alert-box message"><?php print $messages; ?></div></div>
<?php endif;?>
<!-- Start Homepage -->
<?php if(drupal_is_front_page()): ?>

<div id="homepage" class="homepage section">
  <div id="r0"></div>
  <div class="container">
    <div class="sixteen columns"> 
      <!-- logo & slogan -->
      <?php if ($logo): ?>
      <a href="<?php print $front_page; ?>" title="<?php print t('Home'); ?>"> <img src="<?php print $logo; ?>" class="logo" alt="<?php print t('Home'); ?>" /> </a>
      <?php endif; ?>
      <!-- end. logo & slogan --> 
    </div>
    <?php if (theme_get_setting("slideshowType")=="video") : ?>
    <a id="bgndVideo" href="<?php print check_plain(theme_get_setting('slideVideoLink', 'surreal')); ?>" class="movie {opacity:1, isBgndMovie:{width:'window',mute:false}, optimizeDisplay:true, showControls:true, ratio:'16/9',startAt:3,quality:'hd720',addRaster:true,lightCrop:true}"></a>
    <?php endif; ?>
    <?php if (theme_get_setting("slideshowType")=="image") : ?>
    <div class="slider-text">
      <div class="sixteen columns">
        <div class="line"></div>
      </div>
      <div class="twelve columns">
        <div id="slidecaption"></div>
      </div>
      <div class="four columns"> <a id="prevslide" class="load-item"> <i class="icon-arrow-up"></i> </a> <a id="nextslide" class="load-item"> <i class="icon-arrow-down"></i> </a> </div>
    </div>
    <?php endif; ?>
  </div>
</div>
<!--End homepage --> 

<!-- Start Navigation -->

<nav>
  <div class="container">
    <div class="sixteen columns">
      <div id="nav" class="menu"> 
        <!-- Start Nav Menu -->
        <?php if (module_exists('i18n_menu')) {
              $main_menu_tree = i18n_menu_translated_tree(variable_get('menu_main_links_source', 'main-menu'));
            } else {
              $main_menu_tree = menu_tree(variable_get('menu_main_links_source', 'main-menu'));
            }
            print drupal_render($main_menu_tree);?>
      </div>
      <!-- End Nav Menu --> 
      <!-- Start Dropmenu for mobile -->
      <div id="navigation" class="mobile-menu"></div>
      <!-- End Dropmenu for mobile --> 
    </div>
  </div>
</nav>
<!-- End Navigation --> 

<!-- Region #1 -->

<div id="r1" class="page section" style="padding-top:70px;	clear: left;">
  <div class="container">
    <div class="sixteen columns">
      <h1><?php print onepage_title(theme_get_setting('region1Name', 'surreal'));?></h1>
      <?php print theme_get_setting('region1Description', 'surreal');?> </div>
  </div>
  <div class="space40"></div>
  <?php if ($page['region1']): ?>
  <?php print render($page["region1"]); ?>
  <?php endif; ?>
  <!--start parallax 1-->
  <div id="parallax-1" class="parallax fixed" style="background: url('/<?php print substr(base_path(), 1) . substr(theme_get_setting('parallax_bg_region1_preview', 'surreal'), 1); ?>')">
    <div class="quoteWrap">
      <div class="quote">
        <div class="container">
          <div class="sixteen columns"> <?php print theme_get_setting('region1ParallaxImageDescription', 'surreal');?> </div>
        </div>
      </div>
    </div>
  </div>
  <!--end parallax 1--> 
  
</div>
<!-- end Region #1 --> 

<!-- Region #2 -->
<div id="r2"></div>
<!--start About -->
<div id="about" class="page section" style="padding-top:0px; clear: left;">
  <div class="container">
    <div class="sixteen columns">
      <h1><?php print onepage_title(theme_get_setting('region2Name', 'surreal'));?></h1>
      <?php print theme_get_setting('region2Description', 'surreal');?> </div>
  </div>
  <?php if ($page['region2']): ?>
  <?php print render($page["region2"]); ?>
  <?php endif; ?>
  <div class="space40"></div>
  <!--start parallax 2-->
  <div id="parallax-2" class="parallax fixed" style="background: url('/<?php print substr(base_path(), 1) . substr(theme_get_setting('parallax_bg_region2_preview', 'surreal'), 1); ?>')">
    <div class="quoteWrap">
      <div class="quote">
        <div class="container">
          <div class="sixteen columns"> <?php print theme_get_setting('region2ParallaxImageDescription', 'surreal');?> </div>
        </div>
      </div>
    </div>
  </div>
  <!--end parallax 2--> 
  
</div>
<!-- end Region #2 --> 

<!-- Region #3 -->
<div id="r3"></div>
<div id="services" class="page section">
  <div class="container servicesContainer">
    <div class="sixteen columns">
      <h1><?php print onepage_title(theme_get_setting('region3Name', 'surreal'));?></h1>
      <?php print theme_get_setting('region3Description', 'surreal');?> </div>
    <?php if ($page['region3']): ?>
    <?php print render($page["region3"]); ?>
    <?php endif; ?>
  </div>
  <div class="space40"></div>
  
  <!--start parallax 3-->
  <div id="parallax-3" class="parallax fixed" style="background: url('/<?php print substr(base_path(), 1) . substr(theme_get_setting('parallax_bg_region3_preview', 'surreal'), 1); ?>')">
    <div class="quoteWrap">
      <div class="quote">
        <div class="container">
          <div class="sixteen columns"> <?php print theme_get_setting('region3ParallaxImageDescription', 'surreal');?> </div>
        </div>
      </div>
    </div>
  </div>
  <!--end parallax 3--> 
  
</div>
<!-- end Region #3 --> 

<!-- Region #4 -->
<div id="r4"></div>
<div id="features" class="page section">
  <div class="container featuresContainer">
    <div class="sixteen columns">
      <h1><?php print onepage_title(theme_get_setting('region4Name', 'surreal'));?></h1>
      <?php print theme_get_setting('region4Description', 'surreal');?> </div>
  </div>
  <?php if ($page['region4']): ?>
  <?php print render($page["region4"]); ?>
  <?php endif; ?>
  <div class="space40"></div>
  
  <!--start parallax 4-->
  <div id="parallax-4" class="parallax fixed" style="background: url('/<?php print substr(base_path(), 1) . substr(theme_get_setting('parallax_bg_region4_preview', 'surreal'), 1); ?>')">
    <div class="quoteWrap">
      <div class="quote">
        <div class="container">
          <div class="sixteen columns"> <?php print theme_get_setting('region4ParallaxImageDescription', 'surreal');?> </div>
        </div>
      </div>
    </div>
  </div>
  <!--end parallax 4--> 
  
</div>
<!-- end Region #4 --> 

<!-- Region #5 -->
<div id="r5"></div>
<div id="contact" class="page section">
  <div class="container contactContainer">
    <div class="sixteen columns">
      <h1><?php print onepage_title_revert(theme_get_setting('region5Name', 'surreal'));?></h1>
      <?php print theme_get_setting('region5Description', 'surreal');?> </div>
    <?php if ($page['region5']): ?>
    <?php print render($page["region5"]); ?>
    <?php endif; ?>
  </div>
  <!--start parallax 5-->
  <div id="parallax-5" class="parallax fixed" style="background: url('/<?php print substr(base_path(), 1) . substr(theme_get_setting('parallax_bg_region5_preview', 'surreal'), 1); ?>')">
    <div class="quoteWrap">
      <div class="quote">
        <div class="container">
          <div class="sixteen columns"> <?php print theme_get_setting('region5ParallaxImageDescription', 'surreal');?> </div>
        </div>
      </div>
    </div>
  </div>
  <!--end parallax 5--> 
  
</div>
<!-- end Region #5 -->
<?php else: ?>
<!-- Start Navigation -->
<nav>
  <div class="container">
    <div class="sixteen columns">
      <div class="menu" id="nav"> 
        <!-- Start Nav Menu -->
        <?php if (module_exists('i18n_menu')) {
              $main_menu_tree = i18n_menu_translated_tree(variable_get('menu_main_links_source', 'main-menu'));
            } else {
              $main_menu_tree = menu_tree(variable_get('menu_main_links_source', 'main-menu'));
            }
            print drupal_render($main_menu_tree);?>
      </div>
      <!-- End Nav Menu --> 
      <!-- Start Dropmenu for mobile -->
		<div id="navigation"></div>
      <!-- End Dropmenu for mobile --> 
    </div>
  </div>
</nav>
<!-- End Navigation --> 


<!-- Content Page -->
<div class="container">

  <div class="eleven columns">
  <?php print render($page['content']); ?>
  </div>
  
   <!-- Sidebar -->
  <div class="four columns offset-by-one">
    <div class="sidebar"> 
    	<?php print render($page['sidebar']); ?>
    </div>
  </div>
  <!-- end sidebar --> 
  
</div>
<!-- End of Content Page -->



<?php endif; ?>

<!--start footer-->

<div id="footer">
  <div class="container">
    <?php if ($page['footer']): ?>
    <?php print render($page["footer"]); ?>
    <?php endif; ?>
    <?php if ($page['copyright']): ?>
    <div class="sixteen columns"> <?php print render($page["copyright"]); ?> </div>
    <?php endif; ?>
  </div>
</div>
<!--end footer--> 

